# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "kick-api"
version = "0.1.3"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Rust client for the Kick.com API"
readme = "README.md"
keywords = [
    "kick",
    "api",
    "streaming",
]
categories = ["api-bindings"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/Landy-Dev/kick-api"

[lib]
name = "kick_api"
path = "src/lib.rs"

[[example]]
name = "read_chat"
path = "examples/read_chat.rs"

[[example]]
name = "test_channel"
path = "examples/test_channel.rs"

[[test]]
name = "live_chat_tests"
path = "tests/live_chat_tests.rs"

[dependencies.futures-util]
version = "0.3"

[dependencies.oauth2]
version = "4.4"

[dependencies.reqwest]
version = "0.12"
features = ["json"]

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "1"
features = [
    "time",
    "process",
]

[dependencies.tokio-tungstenite]
version = "0.26"
features = ["native-tls"]

[dev-dependencies.dotenvy]
version = "0.15.7"

[dev-dependencies.tokio]
version = "1"
features = ["full"]

[dev-dependencies.tracing]
version = "0.1"

[dev-dependencies.tracing-subscriber]
version = "0.3"

[dev-dependencies.warp]
version = "0.3"
